import { EventEmitter } from '@angular/core';
export interface InternalGalleryPayload {
    galleryId: number;
    index: number;
}
export declare class GalleryService {
    navigate: EventEmitter<InternalGalleryPayload>;
    close: EventEmitter<number>;
    openGallery(galleryId: number | undefined, index: number): void;
    navigateGallery(galleryId: number | undefined, index: number): void;
    closeGallery(galleryId: number | undefined): void;
}
